Skip to main content
PUT
/
v1
/
crm
/
partners
/
{partnerId}
/
processor-settings
/
{processorSettingId}
Update a Partner Processor Setting
curl --request PUT \
  --url https://api.example.com/v1/crm/partners/{partnerId}/processor-settings/{processorSettingId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associationNumber": "<string>"
}
'
{
  "id": "<string>",
  "groupId": "<string>",
  "associationNumber": "<string>",
  "clientId": "<string>",
  "bankClientId": "<string>",
  "bank": "<string>",
  "bin": "<string>",
  "bankName": "<string>",
  "agentId": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

partnerId
string
required
processorSettingId
string
required

Body

application/json
associationNumber
string
required
Maximum string length: 6

Response

The updated partner processor setting.

id
string
required
groupId
string
required
associationNumber
string | null
required
clientId
string
required
bankClientId
string
required
bank
string | null
required
bin
string | null
required
bankName
string | null
required
agentId
string | null
required